Debian Bug report logs - #698210
ITP: ruby-librarian -- a framework for writing bundlers

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stig Sandbeck Mathisen <ssm@debian.org>

Date: Tue, 15 Jan 2013 08:30:04 UTC

Owned by: Stig Sandbeck Mathisen <ssm@debian.org>

Severity: wishlist

Fixed in version ruby-librarian/0.0.26-1

Done: Stig Sandbeck Mathisen <ssm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698210; Package wnpp. (Tue, 15 Jan 2013 08:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stig Sandbeck Mathisen <ssm@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 15 Jan 2013 08:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stig Sandbeck Mathisen <ssm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-librarian -- a framework for writing bundlers
Date: Tue, 15 Jan 2013 09:27:46 +0100
Package: wnpp
Severity: wishlist
Owner: Stig Sandbeck Mathisen <ssm@debian.org>

* Package name    : ruby-librarian
  Version         : 0.0.26
  Upstream Author : Jay Feldblum <yfeldblum@gmail.com>
* URL             : https://github.com/yfeldblum/librarian
* License         : MIT
  Programming Lang: Ruby
  Description     : a framework for writing bundlers

Librarian is a framework for writing bundlers, which are tools that resolve,
fetch, install, and isolate a project's dependencies, in Ruby.

Librarian ships with Librarian-Chef, which is a bundler for your Chef-based
infrastructure repositories. In the future, Librarian-Chef will be a separate
project.

A bundler written with Librarian will expect you to provide a specfile listing
your project's declared dependencies, including any version constraints and
including the upstream sources for finding them. Librarian can resolve the
spec, write a lockfile listing the full resolution, fetch the resolved
dependencies, install them, and isolate them in your project.

A bundler written with Librarian will be similar in kind to Bundler, the
bundler for Ruby gems that many modern Rails applications use.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 Jan 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Stig Sandbeck Mathisen <ssm@debian.org>:
You have taken responsibility. (Mon, 18 Mar 2013 23:03:18 GMT) Full text and rfc822 format available.

Notification sent to Stig Sandbeck Mathisen <ssm@debian.org>:
Bug acknowledged by developer. (Mon, 18 Mar 2013 23:03:18 GMT) Full text and rfc822 format available.

Message #12 received at 698210-close@bugs.debian.org (full text, mbox):

From: Stig Sandbeck Mathisen <ssm@debian.org>
To: 698210-close@bugs.debian.org
Subject: Bug#698210: fixed in ruby-librarian 0.0.26-1
Date: Mon, 18 Mar 2013 23:00:08 +0000
Source: ruby-librarian
Source-Version: 0.0.26-1

We believe that the bug you reported is fixed in the latest version of
ruby-librarian, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698210@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stig Sandbeck Mathisen <ssm@debian.org> (supplier of updated ruby-librarian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 Jan 2013 10:49:48 +0100
Source: ruby-librarian
Binary: ruby-librarian
Architecture: source all
Version: 0.0.26-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Stig Sandbeck Mathisen <ssm@debian.org>
Description: 
 ruby-librarian - framework for writing bundlers
Closes: 698210
Changes: 
 ruby-librarian (0.0.26-1) unstable; urgency=low
 .
   * Initial release (Closes: #698210)
Checksums-Sha1: 
 82b15aa626e079d0e168ee5d524d575ed488616b 1396 ruby-librarian_0.0.26-1.dsc
 c36470d681289c6d2eb88dfe690f9e74a68e50b5 52207 ruby-librarian_0.0.26.orig.tar.gz
 095825a3fc7acb7dfe6b89db10ee2c57c0316732 2933 ruby-librarian_0.0.26-1.debian.tar.gz
 d021d2e6f109ee6edbf85dc57e9e3d52cfda6787 42568 ruby-librarian_0.0.26-1_all.deb
Checksums-Sha256: 
 6cda5ad316e309b3ed29daa9723dae85ce1596884d741765d64bc61479ed6a01 1396 ruby-librarian_0.0.26-1.dsc
 124cc8b74b54cfd9d8f125747d0a1787f58a176e740d1071ede3d852f68f1831 52207 ruby-librarian_0.0.26.orig.tar.gz
 d5d0849cd76891e6f50def073116c3d09af6cd4e26794b84099949f112f320c9 2933 ruby-librarian_0.0.26-1.debian.tar.gz
 458c39aa791cc6135b7e3a31d815fb5d1ee2b405d294b0a2b33aa2051d0a9bcb 42568 ruby-librarian_0.0.26-1_all.deb
Files: 
 1122e44a0a181bd564e8257b32c20323 1396 ruby optional ruby-librarian_0.0.26-1.dsc
 25bbfe83deb5fbbc8a3912cc2bee0509 52207 ruby optional ruby-librarian_0.0.26.orig.tar.gz
 396f7c9af8122a824a580f73e8bdf6c3 2933 ruby optional ruby-librarian_0.0.26-1.debian.tar.gz
 3eb6c06adc640690f22fa5781d096293 42568 ruby optional ruby-librarian_0.0.26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEHpD8ACgkQQONU2fom4u7bjACgi38aNgdTeeK3Gqj4RH1Trfs+
Hv4AoLLTj8NwtF8AYvDk5ZxQodyYMWwf
=CPky
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Apr 2013 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:42:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.